Chuyển đến nội dung chính
POST
/
table
/
{tableId}
/
record
/
{recordId}
/
duplicate
cURL
curl --request POST \
  --url https://sheets.vn/api/table/%7BtableId%7D/record/%7BrecordId%7D/duplicate \
  --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
  --header 'content-type: application/json' \
  --data '{"viewId":"string","anchorId":"string","position":"before"}'
{
  "records": [
    {
      "id": "recXXXXXXX",
      "fields": {
        "single line text": "text value"
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://www.sheets.vn/docs/llms.txt

Use this file to discover all available pages before exploring further.

Ủy quyền

Authorization
string
header
bắt buộc

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Tham số đường dẫn

tableId
string
bắt buộc
recordId
string
bắt buộc

Nội dung

application/json

Where this record to insert to (Optional)

viewId
string
bắt buộc

You can only specify order in one view when create record (will create a order index automatically)

anchorId
string
bắt buộc

The record id to anchor to

position
enum<string>
bắt buộc
Tùy chọn có sẵn:
before,
after

Phản hồi

201 - application/json

Successful duplicate

records
object[]
bắt buộc

Array of record objects

Ví dụ:
[
{
"id": "recXXXXXXX",
"fields": { "single line text": "text value" }
}
]